## plasma-activities 6.2.1

=== src/imports/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (plasmaactivities-imports)

find_package (Qt6 REQUIRED NO_MODULE COMPONENTS Gui Qml Quick Sql)
find_package (KF6Config     ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6CoreAddons ${KF6_MIN_VERSION} CONFIG REQUIRED)

ecm_add_qml_module(plasmaactivitiesextensionplugin URI "org.kde.activities" VERSION 0.1 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtCore)

target_sources(plasmaactivitiesextensionplugin PRIVATE
   activitymodel.cpp
   activitymodel.h
   activityinfo.cpp
   activityinfo.h

   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/dbusfuture_p.cpp
)

target_link_libraries(
   plasmaactivitiesextensionplugin PRIVATE
   Qt6::Core
   Qt6::DBus
   Qt6::Gui
   Qt6::Qml
   Qt6::Quick
   Qt6::Sql
   Plasma::Activities
   KF6::ConfigCore
   KF6::CoreAddons
   Boost::headers
)

ecm_finalize_qml_module(plasmaactivitiesextensionplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/lib/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

# =======================================================
# Now that we finished with the boilerplate, start
# with the library definition

add_library(PlasmaActivities)
add_library(Plasma::Activities ALIAS PlasmaActivities)

set_target_properties(PlasmaActivities PROPERTIES
   VERSION     ${PLASMA_ACTIVITIES_VERSION}
   SOVERSION   ${PLASMA_ACTIVITIES_SOVERSION}
   EXPORT_NAME Activities
)

target_sources(PlasmaActivities PRIVATE
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.cpp

   consumer.cpp
   consumer.h
   controller.cpp
   controller.h
   info.cpp
   info.h
   resourceinstance.cpp
   resourceinstance.h
   activitiesmodel.cpp
   activitiesmodel.h

   mainthreadexecutor_p.cpp
   mainthreadexecutor_p.h
   manager_p.cpp
   manager_p.h
   activitiescache_p.cpp
   activitiescache_p.h

   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/dbusfuture_p.cpp

   version.cpp
   version.h
)

set_source_files_properties (
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
   PROPERTIES
   INCLUDE ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.h
   )

set(PlasmaActivities_DBus_SRCS)
qt_add_dbus_interface(PlasmaActivities_DBus_SRCS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
   activities_interface
)
qt_add_dbus_interface(PlasmaActivities_DBus_SRCS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Resources.xml
   resources_interface
)
qt_add_dbus_interface(PlasmaActivities_DBus_SRCS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
)
qt_add_dbus_interface(PlasmaActivities_DBus_SRCS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   resources_linking_interface
)
qt_add_dbus_interface(PlasmaActivities_DBus_SRCS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Application.xml
   application_interface
)
target_sources(PlasmaActivities PRIVATE
   ${PlasmaActivities_DBus_SRCS}
)

ecm_qt_declare_logging_category(PlasmaActivities
    HEADER debug_p.h
    IDENTIFIER KAMD_CORELIB
    CATEGORY_NAME kde.plasma.activities
    OLD_CATEGORY_NAMES org.kde.kactivities.lib.core
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Plasma Activities core lib"
    EXPORT PLASMA_ACTIVITIES
)

target_link_libraries(PlasmaActivities
   PUBLIC
      Qt6::Core
   PRIVATE
      Qt6::DBus
)

set(PLASMA_ACTIVITIES_BUILD_INCLUDE_DIRS
   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/
)

target_include_directories(PlasmaActivities
   INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities>"
   PRIVATE  ${PLASMA_ACTIVITIES_BUILD_INCLUDE_DIRS}
)

# install
ecm_generate_export_header (PlasmaActivities
   BASE_NAME Plasma_Activities
   VERSION ${PROJECT_VERSION}
   USE_VERSION_HEADER plasma_activities_version.h
   DEPRECATED_BASE_VERSION 0
)

ecm_generate_headers (
   PlasmaActivities_CamelCase_HEADERS
   HEADER_NAMES
   Consumer
   Controller
   Info
   ResourceInstance
   ActivitiesModel
   Version
   PREFIX PlasmaActivities
   REQUIRED_HEADERS PlasmaActivities_HEADERS
   )
install (
   FILES ${PlasmaActivities_CamelCase_HEADERS}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities/PlasmaActivities
   COMPONENT Devel
   )

install (
   FILES ${PlasmaActivities_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/plasma_activities_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities/plasmaactivities
   COMPONENT Devel
   )

install (
   TARGETS PlasmaActivities
   EXPORT PlasmaActivitiesLibraryTargets
   ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
   )

if(BUILD_QCH)
    ecm_add_qch(
        PlasmaActivities_QCH
        NAME PlasmaActivities
        BASE_NAME PlasmaActivities
        VERSION ${PROJECT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${PlasmaActivities_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${PLASMA_ACTIVITIES_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            PLASMA_ACTIVITIES_EXPORT
            PLASMA_ACTIVITIES_DEPRECATED
            PLASMA_ACTIVITIES_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()


if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME PlasmaActivities
      LIB_NAME PlasmaActivities
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities
      DEPS Qt6Core
      DESCRIPTION "Plasma Activities is a C++ library for using Plasma's activities"
      INSTALL
    )
endif ()

## plasma-activities 6.1.5

=== debian/changelog ===
plasma-activities (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:00:29 +0100

plasma-activities (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:58 +0100

plasma-activities (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:15 +0200

plasma-activities (6.1.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jul 2024 06:53:12 +0200

plasma-activities (6.1.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jul 2024 06:19:14 +0200

plasma-activities (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.
  * Simplify list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:22:40 +0200

plasma-activities (6.0.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Rename kactivities-kf5 source package to plasma-activities following
    upstream’s renaming.
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * New upstream release (6.0.90).
  * Update build-deps and deps with the info from cmake.
  * Rename binary packages for the Plasma 6 release.
  * Bump Standards-Version to 4.7.0, no change required.
  * Refresh lintian overrides.
  * Review copyright information.
  * Improve package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Jun 2024 21:00:12 +0200

kactivities-kf5 (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:10 +0200

kactivities-kf5 (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 19:37:06 +0200

kactivities-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015434).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:35 +0100

kactivities-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:33 +0200

kactivities-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:53 +0100

kactivities-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

kactivities-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

kactivities-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:26 +0100

kactivities-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kactivities-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kactivities-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:31 +0200

kactivities-kf5 (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 19:59:20 +0200

kactivities-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

kactivities-kf5 (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 20:55:28 +0200

kactivities-kf5 (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Update symbols file. (Closes: #1012955)

 -- Pino Toscano <pino@debian.org>  Sat, 23 Jul 2022 12:09:49 +0200

kactivities-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200



=== debian/control ===
Source: plasma-activities
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.2.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-activities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
Rules-Requires-Root: no

Package: plasma-activities-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: core components for the KDE's Activities system - CLI
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the command line tools for interacting with KDE
 Activities.

Package: libplasmaactivities-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.49~),
         libkf6config-dev (>= 6.2.0~),
         libkf6coreaddons-dev (>= 6.2.0~),
         libplasmaactivities6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libplasmaactivities6-doc (= ${source:Version}),
Description: core components for the KDE's Activities system - development files
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the development files for the shared library.

Package: libplasmaactivities6-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: core components for the KDE's Activities system - documentation
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the developer documentation for the shared library.

Package: libplasmaactivities6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kactivitymanagerd, plasma-activities-bin,
Description: core components for the KDE's Activities system - shared library
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the shared library for interacting with KDE Activities.

Package: qml6-module-org-kde-activities
Architecture: any
Multi-Arch: same
Depends: libplasmaactivities6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core components for the KDE's Activities system - QML module
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the QML module.

## plasma-activities 6.2.1

=== debian/changelog ===
plasma-activities (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:49:04 +0200

plasma-activities (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:43 +0200

plasma-activities (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:46 +0200

plasma-activities (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-activities
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,18 +9,18 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6windowsystem-dev (>= 6.5.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
 Rules-Requires-Root: no
 
 Package: plasma-activities-bin
@@ -40,10 +39,10 @@
 Section: libdevel
 Architecture: any
 Depends: libboost-dev (>= 1.49~),
-         libkf6config-dev (>= 6.2.0~),
-         libkf6coreaddons-dev (>= 6.2.0~),
+         libkf6config-dev (>= 6.5.0~),
+         libkf6coreaddons-dev (>= 6.5.0~),
          libplasmaactivities6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libplasmaactivities6-doc (= ${source:Version}),
 Description: core components for the KDE's Activities system - development files

## plasma-activities 6.2.5

=== debian/changelog ===
plasma-activities (6.2.5-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 03 Dec 2024 17:13:41 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 15 Jan 2025 14:22:10 +0000

plasma-activities (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:57:47 +0100

plasma-activities (6.2.4-2) unstable; urgency=medium

  * Team upload.
  * Merge changes from 6.2.3-2, dropped when uploading 6.2.4-1.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 07:09:18 +0100

plasma-activities (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:30:58 +0100

plasma-activities (6.2.3-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 22:57:45 +0100

plasma-activities (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 22:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.5.0~),
                libboost-dev (>= 1.49~),
@@ -42,6 +43,7 @@
          libkf6config-dev (>= 6.5.0~),
          libkf6coreaddons-dev (>= 6.5.0~),
          libplasmaactivities6 (= ${binary:Version}),
+         qml6-module-org-kde-activities (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libplasmaactivities6-doc (= ${source:Version}),
@@ -84,6 +86,7 @@
 Multi-Arch: same
 Depends: libplasmaactivities6 (= ${binary:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: core components for the KDE's Activities system - QML module
  When a user is interacting with a computer, there are three main areas of

## plasma-activities 6.2.90

=== debian/changelog ===
plasma-activities (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 04:22:55 +0000

plasma-activities (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:02:27 +0000

plasma-activities (6.2.4-0ubuntu3) plucky; urgency=medium

  * Merge changes from 6.2.3-1 in Debian unstable:
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 16:35:57 +0000

plasma-activities (6.2.4-0ubuntu2) plucky; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 18:07:25 +0000

plasma-activities (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:58 +0000

plasma-activities (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:58:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: plasma-activities
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
 Rules-Requires-Root: no
 
 Package: plasma-activities-bin
@@ -40,8 +41,8 @@
 Section: libdevel
 Architecture: any
 Depends: libboost-dev (>= 1.49~),
-         libkf6config-dev (>= 6.5.0~),
-         libkf6coreaddons-dev (>= 6.5.0~),
+         libkf6config-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
          libplasmaactivities6 (= ${binary:Version}),
          qml6-module-org-kde-activities (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),

## plasma-activities 6.3.2

=== debian/changelog ===
plasma-activities (6.3.2-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 03 Dec 2024 17:13:41 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 07 Mar 2025 09:41:27 +0000

plasma-activities (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:03 +0100

plasma-activities (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:00 +0100

plasma-activities (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:46 +0100

plasma-activities (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: plasma-activities
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.10.0~),
                libboost-dev (>= 1.49~),
@@ -17,12 +16,12 @@
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
 Rules-Requires-Root: no
 
 Package: plasma-activities-bin

## plasma-activities 6.3.4

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
project(PlasmaActivities VERSION ${PROJECT_VERSION})
set(PROJECT_VERSION_MAJOR "6")

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

option (PLASMA_ACTIVITIES_LIBRARY_ONLY "If true, compiles only the PlasmaActivities library, without the QML imports." OFF)
option (PLASMA_ACTIVITIES_ENABLE_EXCEPTIONS "If you have Boost 1.53, you need to build PlasmaActivities with exceptions enabled. This is UNTESTED and EXPERIMENTAL!" OFF)

set (PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(KDEClangFormat)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus)

include (CMakePackageConfigHelpers)
include (ECMSetupVersion)

set(plasma_activities_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/plasma_activities_version.h")
ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX PLASMA_ACTIVITIES
   VERSION_HEADER "${plasma_activities_version_header}"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfigVersion.cmake"
   SOVERSION 6
   )

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

add_subdirectory (src)
if (BUILD_TESTING)
    add_subdirectory (autotests)
    add_subdirectory (tests)
endif()

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaActivities")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS PlasmaActivities_QCH
        FILE PlasmaActivitiesLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaActivitiesLibraryQchTargets.cmake\")")
endif()

install (
   EXPORT PlasmaActivitiesLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE PlasmaActivitiesLibraryTargets.cmake
   NAMESPACE Plasma::
   )

configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaActivitiesConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${plasma_activities_version_header}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities COMPONENT Devel
   )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma-activities (6.3.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Split the archictecture-independent data files out of the
    libplasmaactivities6 binary package in preparation of the upcoming
    soname bump with Plasma 6.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 12:06:35 +0200

plasma-activities (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:57:51 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-activities
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
@@ -71,7 +71,9 @@
 Package: libplasmaactivities6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: libplasmaactivities-data (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: kactivitymanagerd, plasma-activities-bin,
 Description: core components for the KDE's Activities system - shared library
  When a user is interacting with a computer, there are three main areas of
@@ -79,7 +81,21 @@
  user is, where they are, and what they are doing. Activities deal with the
  last one.
  .
- This package contain the shared library for interacting with KDE Activities.
+ This package contain the shared library for interacting with KDE Activities.
+
+Package: libplasmaactivities-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: libplasmaactivities6 (<< 6.3.4-2),
+Replaces: libplasmaactivities6 (<< 6.3.4-2),
+Description: core components for the KDE's Activities system - shared library
+ When a user is interacting with a computer, there are three main areas of
+ contextual information that may affect the behaviour of the system: who the
+ user is, where they are, and what they are doing. Activities deal with the
+ last one.
+ .
+ This package contain the architecture-independent files for the library.
 
 Package: qml6-module-org-kde-activities
 Architecture: any

## plasma-activities 6.3.5

=== debian/changelog ===
plasma-activities (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:57 +0100

plasma-activities (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:56:55 +0100

plasma-activities (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:21:45 +0000

plasma-activities (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 13:59:28 +0000

## plasma-activities 6.4.2

=== debian/changelog ===
plasma-activities (6.4.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 12:54:00 +0000

plasma-activities (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:54:14 +0000

plasma-activities (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:06:53 +0000

plasma-activities (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:42:23 +0000

plasma-activities (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:11:34 +0000

plasma-activities (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:25:46 +0000

plasma-activities (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:21:31 +0000

plasma-activities (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:23:12 +0000

plasma-activities (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:10:38 +0000

plasma-activities (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:42:07 +0000

plasma-activities (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:13:50 +0000

plasma-activities (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:46:42 +0000

plasma-activities (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:25:09 +0000

plasma-activities (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:17:19 +0000

plasma-activities (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:28:28 +0000

plasma-activities (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:32:59 +0000

plasma-activities (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:22:35 +0000

plasma-activities (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:39:45 +0000

plasma-activities (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:16:29 +0000

plasma-activities (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:49:52 +0000

plasma-activities (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:11:12 +0000

plasma-activities (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:26:05 +0000

plasma-activities (6.0.2-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:56:46 +0000

plasma-activities (6.0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## plasma-activities 6.4.3

=== debian/changelog ===
plasma-activities (6.4.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:22:17 +0000

plasma-activities (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:23:09 +0000

## plasma-activities 6.4.4

=== debian/changelog ===
plasma-activities (6.4.4-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:56:10 +0000

plasma-activities (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:33:32 +0000

## plasma-activities 6.4.5

=== debian/changelog ===
plasma-activities (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:56 +0100

plasma-activities (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: plasma-activities
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
 Rules-Requires-Root: no
 
 Package: plasma-activities-bin
@@ -40,11 +41,11 @@
 Section: libdevel
 Architecture: any
 Depends: libboost-dev (>= 1.49~),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.14.0~),
+         libkf6coreaddons-dev (>= 6.14.0~),
          libplasmaactivities6 (= ${binary:Version}),
          qml6-module-org-kde-activities (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libplasmaactivities6-doc (= ${source:Version}),
 Description: core components for the KDE's Activities system - development files
@@ -71,9 +72,7 @@
 Package: libplasmaactivities6
 Architecture: any
 Multi-Arch: same
-Depends: libplasmaactivities-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: kactivitymanagerd, plasma-activities-bin,
 Description: core components for the KDE's Activities system - shared library
  When a user is interacting with a computer, there are three main areas of
@@ -81,21 +80,7 @@
  user is, where they are, and what they are doing. Activities deal with the
  last one.
  .
- This package contain the shared library for interacting with KDE Activities.
-
-Package: libplasmaactivities-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-Breaks: libplasmaactivities6 (<< 6.3.4-2),
-Replaces: libplasmaactivities6 (<< 6.3.4-2),
-Description: core components for the KDE's Activities system - shared library
- When a user is interacting with a computer, there are three main areas of
- contextual information that may affect the behaviour of the system: who the
- user is, where they are, and what they are doing. Activities deal with the
- last one.
- .
- This package contain the architecture-independent files for the library.
+ This package contain the shared library for interacting with KDE Activities.
 
 Package: qml6-module-org-kde-activities
 Architecture: any

## plasma-activities 6.4.5+p24.04+vstable+git20250927.0007

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.90")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
-set(PROJECT_VERSION_MAJOR "6")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -16,7 +15,6 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 option (PLASMA_ACTIVITIES_LIBRARY_ONLY "If true, compiles only the PlasmaActivities library, without the QML imports." OFF)
-option (PLASMA_ACTIVITIES_ENABLE_EXCEPTIONS "If you have Boost 1.53, you need to build PlasmaActivities with exceptions enabled. This is UNTESTED and EXPERIMENTAL!" OFF)
 
 set (PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 
@@ -49,12 +47,12 @@
    VARIABLE_PREFIX PLASMA_ACTIVITIES
    VERSION_HEADER "${plasma_activities_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfigVersion.cmake"
-   SOVERSION 6
+   SOVERSION 7
    )
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.1
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory (src)

=== debian/changelog ===
plasma-activities (6.4.5+p24.04+vstable+git20250927.0007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 00:07:11 +0000

plasma-activities (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:51:50 +0000

## plasma-activities 6.4.5+p24.04+vstable+git20251004.0552

=== debian/changelog ===
plasma-activities (6.4.5+p24.04+vstable+git20251004.0552-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:52:36 +0000

## plasma-activities 6.4.5+p24.04+vstable+git20251011.2326

=== debian/changelog ===
plasma-activities (6.4.5+p24.04+vstable+git20251011.2326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:26:23 +0000

## plasma-activities 6.4.5+p24.04+vstable+git20251016.2214

=== debian/changelog ===
plasma-activities (6.4.5+p24.04+vstable+git20251016.2214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:14:54 +0000
